ROS Resources: Documentation | Support | Discussion Forum | Service Status | Q&A answers.ros.org

Newly released package not building on Travis

I recently released a package for the first time and it’s failing on the Travis build farm and i’m having some trouble figuring out why. The Ubuntu 16.04 build can be found here, and the url for the repo i’m releasing can be found here. Focusing on just the Ubunt 16.04 build farm failure for now, I see the following trace in the failed build console,

11:59:25 Identified the following build dependencies (ignoring packages available from source):
11:59:25   - catkin
11:59:25   - cppcheck
11:59:25   - cppcheck-junit-pip
11:59:25   - doxygen
11:59:25   - eigen
11:59:25   - graphviz
11:59:25   - roscpp
11:59:25   - roslib
11:59:25   - urdf
11:59:25 Resolved the dependencies to the following binary packages:
11:59:25   - cppcheck
11:59:25   - cppcheck-junit
11:59:25   - doxygen
11:59:25   - graphviz
11:59:25   - libeigen3-dev
11:59:25   - ros-kinetic-catkin
11:59:25   - ros-kinetic-roscpp
11:59:25   - ros-kinetic-roslib
11:59:25   - ros-kinetic-urdf
11:59:25 Traceback (most recent call last):
11:59:25   File "/usr/lib/python3/dist-packages/apt/cache.py", line 194, in __getitem__
11:59:25     return self._weakref[key]
11:59:25   File "/usr/lib/python3.5/weakref.py", line 131, in __getitem__
11:59:25     o = self.data[key]()
11:59:25 KeyError: 'cppcheck-junit'
11:59:25 
11:59:25 During handling of the above exception, another exception occurred:
11:59:25 
11:59:25 Traceback (most recent call last):
11:59:25   File "/usr/lib/python3/dist-packages/apt/cache.py", line 198, in __getitem__
11:59:25     rawpkg = self._cache[key]
11:59:25 KeyError: 'cppcheck-junit'
11:59:25 
11:59:25 During handling of the above exception, another exception occurred:
11:59:25 
11:59:25 Traceback (most recent call last):
11:59:25   File "/tmp/ros_buildfarm/scripts/devel/create_devel_task_generator.py", line 251, in <module>
11:59:25     main()
11:59:25   File "/tmp/ros_buildfarm/scripts/devel/create_devel_task_generator.py", line 116, in main
11:59:25     get_binary_package_versions(apt_cache, debian_pkg_names))
11:59:25   File "/tmp/ros_buildfarm/ros_buildfarm/common.py", line 144, in get_binary_package_versions
11:59:25     pkg = apt_cache[debian_pkg_name]
11:59:25   File "/usr/lib/python3/dist-packages/apt/cache.py", line 200, in __getitem__
11:59:25     raise KeyError('The cache has no package named %r' % key)
11:59:25 KeyError: "The cache has no package named 'cppcheck-junit'"

My package rdl_cmake has a build dependency on cppcheck_junit which is a pip package and I have called out that dependency in the package.xml. Also there is a key for cppcheck-junit-pip which is the key i’m using to call out the dependency, and a rosdep key for that is listed here, so i’m not sure where it’s getting tripped up.

Hi @Jordan_Lack

Thanks for your question. However we ask that you please ask questions on
http://answers.ros.org following our support guidelines:
http://wiki.ros.org/Support

ROS Discourse is for news and general interest discussions. ROS Answers
http://answers.ros.org provides a forum which can be filtered by tags to
make sure the relevant people can find and/or answer the question, and not
overload everyone with hundreds of posts.